Bug 384 - INTERNAL ERROR: Signal 11 when reading or writing files
INTERNAL ERROR: Signal 11 when reading or writing files
Status: RESOLVED DUPLICATE of bug 809
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.0preX
All Linux
: P2 major
: none
Assigned To: Gerald (Jerry) Carter
:
Depends on:
Blocks: 807
  Show dependency treegraph
 
Reported: 2003-09-01 21:29 UTC by mcdermk
Modified: 2005-11-14 09:24 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mcdermk 2003-09-01 21:29:44 UTC
Samba throws a "INTERNAL ERROR: Signal 11" error and a "PANIC: internal error"
in the middle of reading or writing files. Following the panic the active
connection disappears, but the active shares and open files stay. For example,
half way through writing a file, Windows reports this error: "Cannot copy
filename: The specified network name is no longer available".

We are running 3.0.0rc2 on Debian Linux with security=domain and authenticating
against Active Directory on a Windows 2000 Advanced Server SP4.

Our clients are running Windows 2000 Pro SP4 and fully patched up to date. They
have the EnablePlainTextPassword registry key set to 0.

Log file output (debug level 10) and smb.conf details follow:

[2003/09/02 00:12:47, 6] lib/util_sock.c:write_socket(410)
  write_socket(5,53) wrote 53                             
[2003/09/02 00:12:47, 3] smbd/reply.c:reply_echo(2687)
  echo 1 times                                        
[2003/09/02 00:12:47, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0        
[2003/09/02 00:12:47, 5] auth/auth_util.c:debug_nt_user_token(486)
  NT user token: (NULL)                                           
[2003/09/02 00:12:47, 5] auth/auth_util.c:debug_unix_user_token(505)
  UNIX token of user 0                                              
  Primary group is 0 and contains 0 supplementary groups
[2003/09/02 00:12:47, 5] smbd/uid.c:change_to_root_user(218)
  change_to_root_user: now uid=(0,0) gid=(0,0)              
[2003/09/02 00:12:47, 4] passdb/secrets.c:secrets_fetch_trust_account_password(255)
  Using cleartext machine password                                                 
[2003/09/02 00:12:47, 5] smbd/change_trust_pw.c:change_trust_account_password(39)
  change_trust_account_password: Attempting to change trust account password in
domain SHERNET2K....
[2003/09/02 00:12:47, 10] libsmb/namequery.c:internal_resolve_name(989)        
                    
  internal_resolve_name: looking up SHERNET2K#1b                       
[2003/09/02 00:12:47, 10] lib/gencache.c:gencache_get(263)
  Returning valid cache entry: key = NBT/SHERNET2K#1B, value = 100.100.100.26:0,
timeout = Tue Sep  2 00:22:42 2003
[2003/09/02 00:12:47, 5] libsmb/namecache.c:namecache_fetch(201)               
                                   
  name SHERNET2K#1B found.                                      
[2003/09/02 00:12:47, 10] libsmb/namequery.c:name_status_find(180)
  name_status_find: looking up SHERNET2K#1b at 100.100.100.26     
[2003/09/02 00:12:47, 10] lib/gencache.c:gencache_get(263)   
  Returning valid cache entry: key = NBT/SHERNET2K#1B.20.100.100.100.26, value =
OA-WIN2K1, timeout = Tue Sep  2 00:22:42 2003
[2003/09/02 00:12:47, 5] libsmb/namecache.c:namecache_status_fetch(314)
  namecache_status_fetch: key NBT/SHERNET2K#1B.20.100.100.100.26 -> OA-WIN2K1
[2003/09/02 00:12:47, 0] lib/fault.c:fault_report(36)                        
===============================================================
[2003/09/02 00:12:47, 0] lib/fault.c:fault_report(37)            
  INTERNAL ERROR: Signal 11 in pid 2219 (3.0.0rc2)   
  Please read the appendix Bugs of the Samba HOWTO collection
[2003/09/02 00:12:47, 0] lib/fault.c:fault_report(39)        
===============================================================
[2003/09/02 00:12:47, 0] lib/util.c:smb_panic(1462)              
  PANIC: internal error                            
[2003/09/02 00:12:47, 0] lib/util.c:smb_panic(1469)
  BACKTRACE: 13 stack frames:                      
   #0 /usr/local/samba/sbin/smbd(smb_panic+0x16b) [0x81809a3]
   #1 /usr/local/samba/sbin/smbd [0x8171c93]                 
   #2 /usr/local/samba/sbin/smbd [0x8171ce5]
   #3 /lib/libc.so.6 [0x4021a6b8]           
   #4 /usr/local/samba/sbin/smbd(make_nmb_name+0x2b) [0x80e16d3]
   #5 /usr/local/samba/sbin/smbd(cli_start_connection+0x75) [0x80c4775]
   #6 /usr/local/samba/sbin/smbd(cli_full_connection+0x4b) [0x80c4ad3] 
   #7 /usr/local/samba/sbin/smbd(change_trust_account_password+0x146) [0x80bc6c6]
   #8 /usr/local/samba/sbin/smbd [0x80b8f24]                                     
   #9 /usr/local/samba/sbin/smbd(smbd_process+0x1cb) [0x80b915b]
   #10 /usr/local/samba/sbin/smbd(main+0x69b) [0x81d4e6f]       
   #11 /lib/libc.so.6(__libc_start_main+0xbb) [0x4020a14f]
   #12 /usr/local/samba/sbin/smbd(ldap_msgfree+0x75) [0x8076231]
[2003/09/02 00:12:47, 6] param/loadparm.c:lp_file_list_changed(2666)
  lp_file_list_changed()                                            
  file /usr/local/samba/lib/smb.conf -> /usr/local/samba/lib/smb.conf  last
mod_time: Tue Sep  2 00:02:32 2003
[2003/09/02 00:12:47, 5] auth/auth_util.c:make_user_info_map(216)
  make_user_info_map: Mapping user [L-mcdermk]\[mcdermk] from workstation
[L-mcdermk]
[2003/09/02 00:12:47, 10] lib/gencache.c:gencache_get(263)                     
     
  Returning valid cache entry: key = TDOMCACHE/TIMESTAMP, value = 1062475702,
timeout = Tue Sep  2 00:18:22 2003
[2003/09/02 00:12:47, 10] libsmb/trustdom_cache.c:update_trustdom_cache(309)   
                                
  update_trustdom_cache: not time to update trustdom_cache yet              
[2003/09/02 00:12:47, 10] lib/gencache.c:gencache_get(285)    
  Cache entry with key = TDOM/L-MCDERMK couldn't be found 
[2003/09/02 00:12:47, 5] libsmb/trustdom_cache.c:trustdom_cache_fetch(172)
  no entry for trusted domain L-mcdermk found.

smb.conf:

[global]
        workgroup = SHERNET2K
        netbios name = l-adminhome
        netbios aliases = l-adminshare
        log file = /usr/local/samba/logs/%m.log
        max log size = 50000
        debug level = 10
        name resolve order = wins bcast
        wins server = oa-win2k1.mydomain.com
        wins proxy = no
        wins support = no
        dns proxy = yes
        local master = no
        preferred master = no
        domain master = no
        os level = 0
        security = domain
        encrypt passwords = true
        password server = *
        interfaces = 100.100.100.56/24
        allow hosts = 100.100. localhost
        load printers = no
        socket options = TCP_NODELAY

[homes]
        comment = Home Directories
        browseable = yes
        nt acl support = no
        create mode = 0700
        path = %H
        guest ok = no
        read only = no
        writable = yes
        oplocks = yes
        fake oplocks = no
        locking = no

Thank you.
Comment 1 Tim Potter 2003-09-02 03:03:08 UTC
Possibly related to bug 382 as they both have something to do with changing the
trust account password.
Comment 2 Jeremy Allison 2003-09-02 14:18:23 UTC
What would help here is a stack backtrace
with symbols included (-g on compile).

Jeremy.
Comment 3 Robin Edgar 2003-12-01 08:57:00 UTC
Getting the same problems - I have a mixed XP / 2K client deployment, and the 
samba server is running as a PDC. On most machines I have no problems, but on 2 
2K machines and 1 XP machine I'm getting the same behaviour every time I either 
try to write the file or execute a file, no matter whether I log on to the 
domain or which userid I log on as. I'm also running debian woody 2.4.19, and 
samba 3.0.0-2 (debian) I've tried using swat, but that doesn't help any either.

[global]
        workgroup = TRIPANY
        server string = TRIPSERV
        password server =
        passdb backend = tdbsam
        guest account = guest
        pam password change = Yes
        passwd program = /usr/bin/passwd %u
        unix password sync = Yes
        log level = 2
        log file = /var/log/samba/log.%m
        max log size = 1000
        debug pid = Yes
        debug uid = Yes
        max xmit = 65535
        name resolve order = lmhosts host wins bcast
        time server = Yes
        server signing = auto
        deadtime = 15
        socket options = IPTOS_LOWDELAY TCP_NODELAY SO_SNDBUF=4096 
SO_RCVBUF=4096
        hostname lookups = Yes
        add machine script = /usr/sbin/adduser --ingroup machine --system --
home /dev/null --no-create-home --force-badname %u
        logon script = %Glogon.bat
        logon path =
        logon home =
        domain logons = Yes
        preferred master = Yes
        domain master = Yes
        ldap ssl = no
        lock directory = /var/cache/samba
        utmp directory = /var/run
        wtmp directory = /var/run
        homedir map =
        panic action = /usr/share/samba/panic-action %d
        hosts allow = 192.168.0.
        print command = /usr/bin/lpr -r -P %p %s
        lpq command = /usr/bin/lpq -P %p
        lprm command = /usr/bin/lprm -P %p %j
        strict locking = No

[wip]
        comment = wip
        path = /export/home/tripdev
        force user = www-data
        force group = designers
        read only = No
        force create mode = 0770
        force directory mode = 0770

Also files created on this share have permissions 774 instead of 770 - no 
matter what machine/user and what i set force create mode to.

The panic action script sends me this:

From: root <root@office.tripany.com>
To: root@tripserv.ops.tripnet.int
Subject: Segfault in Samba

The Samba 'panic action' script, /usr/share/samba/panic-action,
was called for pid 27961 (/usr/sbin/smbd).

Below is a backtrace for this process generated with gdb, which shows
the state of the program at the time the error occured.  You are
encouraged to submit this information as a bug report to Debian.  For
information about the procedure for submitting bug reports , please see
http://www.debian.org/Bugs/Reporting or the reportbug(1) manpage.

(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...0x401e1a59 in wait4 () from /lib/libc.so.6
#0  0x401e1a59 in wait4 () from /lib/libc.so.6
#1  0x40258e48 in __check_rhosts_file () from /lib/libc.so.6
#2  0x401867c5 in system () from /lib/libc.so.6
#3  0x081817bd in smb_panic ()
#4  0x081727f3 in dbgtext ()
#5  0x08172845 in dbgtext ()
#6  0x4016a6b8 in sigaction () from /lib/libc.so.6
#7  0x08186d4b in alloc_sub_basic ()
#8  0x0807775b in lp_talloc_free ()
#9  0x0807869f in lp_servicename ()
#10 0x080bba6d in make_connection ()
#11 0x080955f3 in reply_tcon_and_X ()
#12 0x080b8eaa in respond_to_all_remaining_local_messages ()
#13 0x080b8f43 in respond_to_all_remaining_local_messages ()
#14 0x080b91e3 in process_smb ()
#15 0x080b9b2f in smbd_process ()
#16 0x081d784f in main ()
#17 0x4015a14f in __libc_start_main () from /lib/libc.so.6

The logfile for the machine has something like:
[2003/12/01 17:10:16, 0, pid=27961, effective(0, 0), real(0, 0)] 
lib/fault.c:fault_report(36)
  ===============================================================
[2003/12/01 17:10:16, 0, pid=27961, effective(0, 0), real(0, 0)] 
lib/fault.c:fault_report(37)
  INTERNAL ERROR: Signal 11 in pid 27961 (3.0.0-Debian)
  Please read the appendix Bugs of the Samba HOWTO collection
[2003/12/01 17:10:16, 0, pid=27961, effective(0, 0), real(0, 0)] 
lib/fault.c:fault_report(39)
  ===============================================================
[2003/12/01 17:10:16, 0, pid=27961, effective(0, 0), real(0, 0)] 
lib/util.c:smb_panic(1390)
  smb_panic(): calling panic action [/usr/share/samba/panic-action 27961]
[2003/12/01 17:10:18, 0, pid=27961, effective(0, 0), real(0, 0)] 
lib/util.c:smb_panic(1398)
  smb_panic(): action returned status 0
[2003/12/01 17:10:18, 0, pid=27961, effective(0, 0), real(0, 0)] 
lib/util.c:smb_panic(1400)
  PANIC: internal error
[2003/12/01 17:10:18, 0, pid=27961, effective(0, 0), real(0, 0)] 
lib/util.c:smb_panic(1407)
  BACKTRACE: 16 stack frames:
   #0 /usr/sbin/smbd(smb_panic+0x16b) [0x81818c3]
   #1 /usr/sbin/smbd [0x81727f3]
   #2 /usr/sbin/smbd [0x8172845]
   #3 /lib/libc.so.6 [0x4016a6b8]
   #4 /usr/sbin/smbd(alloc_sub_basic+0x23) [0x8186d4b]
   #5 /usr/sbin/smbd(strftime+0x1a6b) [0x807775b]
   #6 /usr/sbin/smbd(lp_servicename+0x37) [0x807869f]
   #7 /usr/sbin/smbd(make_connection+0x2b1) [0x80bba6d]
   #8 /usr/sbin/smbd(reply_tcon_and_X+0x21f) [0x80955f3]
   #9 /usr/sbin/smbd [0x80b8eaa]
   #10 /usr/sbin/smbd [0x80b8f43]
   #11 /usr/sbin/smbd(process_smb+0x187) [0x80b91e3]
   #12 /usr/sbin/smbd(smbd_process+0x14f) [0x80b9b2f]
   #13 /usr/sbin/smbd(main+0x69b) [0x81d784f]
   #14 /lib/libc.so.6(__libc_start_main+0xbb) [0x4015a14f]
   #15 /usr/sbin/smbd(ldap_msgfree+0x71) [0x8076bc1]

in it. This seems to occur only with locked files.


On this machine I have the edit problem - after changing the file and trying to 
save, windows gives me a popup saying: "File operation failed the specified 
network name is no longer available"

[2003/12/01 17:40:17, 2, pid=28398, effective(0, 0), real(0, 0)] 
smbd/sesssetup.c:setup_new_vc_session(535)
  setup_new_vc_session: New VC == 0, if NT4.x compatible we would close all old 
resources.
[2003/12/01 17:40:17, 2, pid=28398, effective(0, 0), real(0, 0)] 
smbd/sesssetup.c:setup_new_vc_session(535)
  setup_new_vc_session: New VC == 0, if NT4.x compatible we would close all old 
resources.
[2003/12/01 17:40:17, 2, pid=28398, effective(0, 0), real(0, 0)] 
lib/access.c:check_access(324)
  Allowed connection from  (192.168.0.23)
[2003/12/01 17:40:17, 2, pid=28398, effective(0, 0), real(0, 0)] 
auth/auth.c:check_ntlm_password(302)
  check_ntlm_password:  authentication for user [razor] -> [razor] -> [razor] 
succeeded
[2003/12/01 17:40:17, 2, pid=28398, effective(0, 0), real(0, 0)] 
lib/access.c:check_access(324)
  Allowed connection from  (192.168.0.23)
[2003/12/01 17:40:17, 1, pid=28398, effective(33, 103), real(0, 0)] 
smbd/service.c:make_connection_snum(698)
  yvette (192.168.0.23) signed connect to service wip initially as user www-
data (uid=33, gid=103) (pid 28398)
[2003/12/01 17:40:18, 2, pid=28398, effective(0, 0), real(0, 0)] 
lib/access.c:check_access(324)
  Allowed connection from  (192.168.0.23)
[2003/12/01 17:40:23, 2, pid=28398, effective(0, 0), real(0, 0)] 
lib/access.c:check_access(324)
  Allowed connection from  (192.168.0.23)
[2003/12/01 17:40:43, 2, pid=28398, effective(33, 103), real(0, 0)] 
smbd/open.c:open_file(250)
  razor opened file HRM/site/site0.5/php/vacatures_plaatsen.php read=Yes 
write=No (numopen=3)
[2003/12/01 17:40:43, 2, pid=28398, effective(33, 103), real(0, 0)] 
smbd/close.c:close_normal_file(228)
  www-data closed file HRM/site/site0.5/php/vacatures_plaatsen.php (numopen=2)
[2003/12/01 17:40:43, 2, pid=28398, effective(33, 103), real(0, 0)] 
smbd/open.c:open_file(250)
  razor opened file HRM/site/site0.5/php/vacatures_plaatsen.php read=Yes 
write=No (numopen=3)
[2003/12/01 17:40:43, 2, pid=28398, effective(33, 103), real(0, 0)] 
smbd/close.c:close_normal_file(228)
  www-data closed file HRM/site/site0.5/php/vacatures_plaatsen.php (numopen=2)
[2003/12/01 17:40:43, 2, pid=28398, effective(33, 103), real(0, 0)] 
smbd/open.c:open_file(250)
  razor opened file HRM/site/site0.5/php/vacatures_plaatsen.php read=Yes 
write=No (numopen=3)
[2003/12/01 17:40:48, 2, pid=28398, effective(33, 103), real(0, 0)] 
smbd/close.c:close_normal_file(228)
  www-data closed file HRM/site/site0.5/php/vacatures_plaatsen.php (numopen=2)
[2003/12/01 17:40:48, 2, pid=28398, effective(33, 103), real(0, 0)] 
smbd/open.c:open_file(250)
  razor opened file HRM/site/site0.5/php/vacatures_plaatsen.php read=Yes 
write=No (numopen=3)
[2003/12/01 17:40:48, 2, pid=28398, effective(33, 103), real(0, 0)] 
smbd/close.c:close_normal_file(228)
  www-data closed file HRM/site/site0.5/php/vacatures_plaatsen.php (numopen=2)
[2003/12/01 17:40:48, 2, pid=28398, effective(33, 103), real(0, 0)] 
smbd/open.c:open_file(250)
  razor opened file HRM/site/site0.5/php/vacatures_plaatsen.php read=Yes 
write=No (numopen=3)
[2003/12/01 17:40:48, 2, pid=28398, effective(33, 103), real(0, 0)] 
smbd/close.c:close_normal_file(228)
  www-data closed file HRM/site/site0.5/php/vacatures_plaatsen.php (numopen=2)
[2003/12/01 17:40:48, 2, pid=28398, effective(33, 103), real(0, 0)] 
smbd/open.c:open_file(250)
  razor opened file HRM/site/site0.5/php/vacatures_plaatsen.php read=Yes 
write=No (numopen=3)
[2003/12/01 17:40:48, 2, pid=28398, effective(33, 103), real(0, 0)] 
smbd/open.c:open_file(250)
  razor opened file HRM/site/site0.5/php/vacatures_plaatsen.php.bak read=Yes 
write=No (numopen=4)
[2003/12/01 17:40:48, 2, pid=28398, effective(33, 103), real(0, 0)] 
smbd/close.c:close_normal_file(228)
  www-data closed file HRM/site/site0.5/php/vacatures_plaatsen.php.bak 
(numopen=3)
[2003/12/01 17:40:48, 2, pid=28398, effective(33, 103), real(0, 0)] 
smbd/open.c:open_file(250)
  razor opened file HRM/site/site0.5/php/vacatures_plaatsen.php.bak read=Yes 
write=No (numopen=4)
[2003/12/01 17:40:48, 2, pid=28398, effective(33, 103), real(0, 0)] 
smbd/close.c:close_normal_file(228)
  www-data closed file HRM/site/site0.5/php/vacatures_plaatsen.php.bak 
(numopen=3)
[2003/12/01 17:40:48, 2, pid=28398, effective(33, 103), real(0, 0)] 
smbd/open.c:open_file(250)
  razor opened file HRM/site/site0.5/php/vacatures_plaatsen.php.bak read=No 
write=Yes (numopen=4)
[2003/12/01 17:40:48, 2, pid=28398, effective(33, 103), real(0, 0)] 
smbd/close.c:close_normal_file(228)
  www-data closed file HRM/site/site0.5/php/vacatures_plaatsen.php.bak 
(numopen=3)
[2003/12/01 17:40:48, 2, pid=28398, effective(33, 103), real(0, 0)] 
smbd/close.c:close_normal_file(228)
  www-data closed file HRM/site/site0.5/php/vacatures_plaatsen.php (numopen=2)
[2003/12/01 17:40:48, 2, pid=28398, effective(33, 103), real(0, 0)] 
smbd/open.c:open_file(250)
  razor opened file HRM/site/site0.5/php/vacatures_plaatsen.php read=Yes 
write=No (numopen=3)
[2003/12/01 17:40:48, 2, pid=28398, effective(33, 103), real(0, 0)] 
smbd/close.c:close_normal_file(228)
  www-data closed file HRM/site/site0.5/php/vacatures_plaatsen.php (numopen=2)
[2003/12/01 17:40:48, 2, pid=28398, effective(33, 103), real(0, 0)] 
smbd/open.c:open_file(250)
  razor opened file HRM/site/site0.5/php/vacatures_plaatsen.php read=Yes 
write=No (numopen=3)
[2003/12/01 17:40:48, 2, pid=28398, effective(33, 103), real(0, 0)] 
smbd/open.c:open_file(250)
  razor opened file HRM/site/site0.5/php/vacatures_plaatsen.php read=No 
write=Yes (numopen=4)
[2003/12/01 17:40:48, 2, pid=28398, effective(33, 103), real(0, 0)] 
smbd/close.c:close_normal_file(228)
  www-data closed file HRM/site/site0.5/php/vacatures_plaatsen.php (numopen=3)
[2003/12/01 17:40:48, 2, pid=28398, effective(0, 0), real(0, 0)] 
smbd/server.c:exit_server(558)
  Closing connections
[2003/12/01 17:40:48, 1, pid=28398, effective(0, 0), real(0, 0)] 
smbd/service.c:close_cnum(880)
  yvette (192.168.0.23) closed connection to service wip
[2003/12/01 17:40:48, 2, pid=28398, effective(0, 0), real(0, 0)] 
smbd/close.c:close_normal_file(228)
  www-data closed file HRM/site/site0.5/php/vacatures_plaatsen.php (numopen=2)
[2003/12/01 17:40:50, 2, pid=28399, effective(0, 0), real(0, 0)] 
smbd/sesssetup.c:setup_new_vc_session(535)
  setup_new_vc_session: New VC == 0, if NT4.x compatible we would close all old 
resources.
[2003/12/01 17:40:50, 2, pid=28399, effective(0, 0), real(0, 0)] 
smbd/sesssetup.c:setup_new_vc_session(535)
  setup_new_vc_session: New VC == 0, if NT4.x compatible we would close all old 
resources.
[2003/12/01 17:40:50, 2, pid=28399, effective(0, 0), real(0, 0)] 
auth/auth.c:check_ntlm_password(302)
  check_ntlm_password:  authentication for user [razor] -> [razor] -> [razor] 
succeeded
[2003/12/01 17:40:50, 2, pid=28399, effective(0, 0), real(0, 0)] 
lib/access.c:check_access(324)
  Allowed connection from  (192.168.0.23)
[2003/12/01 17:40:50, 1, pid=28399, effective(33, 103), real(0, 0)] 
smbd/service.c:make_connection_snum(698)
  yvette (192.168.0.23) signed connect to service wip initially as user www-
data (uid=33, gid=103) (pid 28399)
[2003/12/01 17:41:50, 2, pid=28399, effective(33, 103), real(0, 0)] 
smbd/open.c:open_file(250)
  razor opened file HRM/site/site0.5/php/vacatures_plaatsen.php read=Yes 
write=No (numopen=1)
[2003/12/01 17:41:50, 2, pid=28399, effective(33, 103), real(0, 0)] 
smbd/close.c:close_normal_file(228)
  www-data closed file HRM/site/site0.5/php/vacatures_plaatsen.php (numopen=0)

It's opening and closing the file like crazy and for some reason putting 
write=No!

The machine which has a problem executing files gives a windows error:
"Error reading (filename). Possible cause: bad disk or file transfer error"

The logfile gives:
[2003/12/01 17:46:08, 2, pid=28422, effective(0, 0), real(0, 0)] 
auth/auth.c:check_ntlm_password(302)
  check_ntlm_password:  authentication for user [razor] -> [razor] -> [razor] 
succeeded
[2003/12/01 17:46:08, 2, pid=28422, effective(0, 0), real(0, 0)] 
lib/access.c:check_access(324)
  Allowed connection from  (192.168.0.22)
[2003/12/01 17:46:08, 1, pid=28422, effective(0, 107), real(0, 0)] 
smbd/service.c:make_connection_snum(698)
  amber (192.168.0.22) signed connect to service install initially as user root 
(uid=0, gid=107) (pid 28422)
[2003/12/01 17:46:08, 2, pid=28422, effective(0, 0), real(0, 0)] 
lib/access.c:check_access(324)
  Allowed connection from  (192.168.0.22)
[2003/12/01 17:46:08, 1, pid=28422, effective(0, 107), real(0, 0)] 
smbd/service.c:make_connection_snum(698)
  amber (192.168.0.22) signed connect to service install initially as user root 
(uid=0, gid=107) (pid 28422)
[2003/12/01 17:46:08, 1, pid=28422, effective(0, 0), real(0, 0)] 
smbd/service.c:close_cnum(880)
  amber (192.168.0.22) closed connection to service install
[2003/12/01 17:46:18, 2, pid=28422, effective(0, 0), real(0, 0)] 
lib/access.c:check_access(324)
  Allowed connection from  (192.168.0.22)
[2003/12/01 17:46:18, 2, pid=28422, effective(0, 0), real(0, 0)] 
smbd/service.c:make_connection_snum(377)
  guest user (from session setup) not permitted to access this share (install)
[2003/12/01 17:46:19, 2, pid=28422, effective(0, 0), real(0, 0)] 
lib/access.c:check_access(324)
  Allowed connection from  (192.168.0.22)
[2003/12/01 17:46:19, 2, pid=28422, effective(0, 0), real(0, 0)] 
smbd/service.c:make_connection_snum(377)
  guest user (from session setup) not permitted to access this share (install)
[2003/12/01 17:46:33, 2, pid=28422, effective(0, 107), real(0, 0)] 
smbd/open.c:open_file(250)
  razor opened file Programs/Directory/epp211_en.exe read=Yes write=No 
(numopen=2)
[2003/12/01 17:46:34, 2, pid=28422, effective(0, 107), real(0, 0)] 
smbd/close.c:close_normal_file(228)
  root closed file Programs/Directory/epp211_en.exe (numopen=1)
[2003/12/01 17:46:34, 2, pid=28422, effective(0, 107), real(0, 0)] 
smbd/open.c:open_file(250)
  razor opened file Programs/Directory/epp211_en.exe read=Yes write=No 
(numopen=2)
[2003/12/01 17:46:34, 2, pid=28422, effective(0, 107), real(0, 0)] 
smbd/close.c:close_normal_file(228)
  root closed file Programs/Directory/epp211_en.exe (numopen=1)
[2003/12/01 17:46:34, 2, pid=28422, effective(0, 107), real(0, 0)] 
smbd/open.c:open_file(250)
  razor opened file Programs/Directory/epp211_en.exe read=Yes write=No 
(numopen=2)
[2003/12/01 17:46:34, 2, pid=28422, effective(0, 107), real(0, 0)] 
smbd/close.c:close_normal_file(228)
  root closed file Programs/Directory/epp211_en.exe (numopen=1)
[2003/12/01 17:46:34, 2, pid=28422, effective(0, 107), real(0, 0)] 
smbd/open.c:open_file(250)
  razor opened file Programs/Directory/epp211_en.exe read=Yes write=No 
(numopen=2)
[2003/12/01 17:46:34, 2, pid=28422, effective(0, 107), real(0, 0)] 
smbd/close.c:close_normal_file(228)
  root closed file Programs/Directory/epp211_en.exe (numopen=1)
[2003/12/01 17:46:34, 2, pid=28422, effective(0, 107), real(0, 0)] 
smbd/open.c:open_file(250)
  razor opened file Programs/Directory/epp211_en.exe read=Yes write=No 
(numopen=2)
[2003/12/01 17:46:34, 2, pid=28422, effective(0, 107), real(0, 0)] 
smbd/close.c:close_normal_file(228)
  root closed file Programs/Directory/epp211_en.exe (numopen=1)
[2003/12/01 17:46:34, 2, pid=28422, effective(0, 107), real(0, 0)] 
smbd/open.c:open_file(250)
  razor opened file Programs/Directory/epp211_en.exe read=Yes write=No 
(numopen=2)
[2003/12/01 17:46:39, 2, pid=28422, effective(0, 107), real(0, 0)] 
smbd/close.c:close_normal_file(228)
  root closed file Programs/Directory/epp211_en.exe (numopen=1)
[2003/12/01 17:46:43, 2, pid=28422, effective(0, 107), real(0, 0)] 
smbd/open.c:open_file(250)
  razor opened file Programs/Directory/epp211_en.exe read=Yes write=No 
(numopen=2)
[2003/12/01 17:46:43, 2, pid=28422, effective(0, 107), real(0, 0)] 
smbd/close.c:close_normal_file(228)
  root closed file Programs/Directory/epp211_en.exe (numopen=1)
[2003/12/01 17:46:43, 2, pid=28422, effective(0, 107), real(0, 0)] 
smbd/open.c:open_file(250)
  razor opened file Programs/Directory/epp211_en.exe read=Yes write=No 
(numopen=2)
[2003/12/01 17:46:43, 2, pid=28422, effective(0, 107), real(0, 0)] 
smbd/close.c:close_normal_file(228)
  root closed file Programs/Directory/epp211_en.exe (numopen=1)
[2003/12/01 17:46:43, 2, pid=28422, effective(0, 107), real(0, 0)] 
smbd/open.c:open_file(250)
  razor opened file Programs/Directory/epp211_en.exe read=Yes write=Yes 
(numopen=2)
[2003/12/01 17:46:43, 2, pid=28422, effective(0, 107), real(0, 0)] 
smbd/close.c:close_normal_file(228)
  root closed file Programs/Directory/epp211_en.exe (numopen=1)
[2003/12/01 17:46:43, 2, pid=28422, effective(0, 107), real(0, 0)] 
smbd/open.c:open_file(250)
  razor opened file Programs/Directory/epp211_en.exe read=Yes write=No 
(numopen=2)
[2003/12/01 17:46:43, 2, pid=28422, effective(0, 107), real(0, 0)] 
smbd/close.c:close_normal_file(228)
  root closed file Programs/Directory/epp211_en.exe (numopen=1)
[2003/12/01 17:46:43, 2, pid=28422, effective(0, 107), real(0, 0)] 
smbd/open.c:open_file(250)
  razor opened file Programs/Directory/epp211_en.exe read=Yes write=No 
(numopen=2)
[2003/12/01 17:46:43, 2, pid=28422, effective(0, 107), real(0, 0)] 
smbd/close.c:close_normal_file(228)
  root closed file Programs/Directory/epp211_en.exe (numopen=1)
[2003/12/01 17:46:43, 2, pid=28422, effective(0, 107), real(0, 0)] 
smbd/open.c:open_file(250)
  razor opened file Programs/Directory/epp211_en.exe read=Yes write=No 
(numopen=2)
[2003/12/01 17:46:43, 2, pid=28422, effective(0, 107), real(0, 0)] 
smbd/close.c:close_normal_file(228)
  root closed file Programs/Directory/epp211_en.exe (numopen=1)
[2003/12/01 17:46:43, 2, pid=28422, effective(0, 107), real(0, 0)] 
smbd/open.c:open_file(250)
  razor opened file Programs/Directory/epp211_en.exe read=Yes write=No 
(numopen=2)
[2003/12/01 17:46:43, 2, pid=28422, effective(0, 107), real(0, 0)] 
smbd/close.c:close_normal_file(228)
  root closed file Programs/Directory/epp211_en.exe (numopen=1)
[2003/12/01 17:46:43, 2, pid=28422, effective(0, 107), real(0, 0)] 
smbd/open.c:open_file(250)
  razor opened file Programs/Directory/epp211_en.exe read=Yes write=No 
(numopen=2)
[2003/12/01 17:46:43, 2, pid=28422, effective(0, 107), real(0, 0)] 
smbd/close.c:close_normal_file(228)
  root closed file Programs/Directory/epp211_en.exe (numopen=1)
[2003/12/01 17:46:43, 2, pid=28422, effective(0, 107), real(0, 0)] 
smbd/open.c:open_file(250)
  razor opened file Programs/Directory/epp211_en.exe read=Yes write=No 
(numopen=2)
[2003/12/01 17:46:43, 2, pid=28422, effective(0, 107), real(0, 0)] 
smbd/close.c:close_normal_file(228)
  root closed file Programs/Directory/epp211_en.exe (numopen=1)
[2003/12/01 17:46:43, 2, pid=28422, effective(0, 107), real(0, 0)] 
smbd/open.c:open_file(250)
  razor opened file Programs/Directory/epp211_en.exe read=Yes write=No 
(numopen=2)
[2003/12/01 17:46:43, 2, pid=28422, effective(0, 107), real(0, 0)] 
smbd/close.c:close_normal_file(228)
  root closed file Programs/Directory/epp211_en.exe (numopen=1)
[2003/12/01 17:46:43, 2, pid=28422, effective(0, 107), real(0, 0)] 
smbd/open.c:open_file(250)
  razor opened file Programs/Directory/epp211_en.exe read=Yes write=No 
(numopen=2)
[2003/12/01 17:46:43, 2, pid=28422, effective(0, 107), real(0, 0)] 
smbd/close.c:close_normal_file(228)
  root closed file Programs/Directory/epp211_en.exe (numopen=1)
[2003/12/01 17:46:43, 2, pid=28422, effective(0, 107), real(0, 0)] 
smbd/open.c:open_file(250)
  razor opened file Programs/Directory/epp211_en.exe read=Yes write=No 
(numopen=2)
[2003/12/01 17:46:43, 2, pid=28422, effective(0, 107), real(0, 0)] 
smbd/open.c:open_file(250)
  razor opened file Programs/Directory/epp211_en.exe read=Yes write=No 
(numopen=3)
[2003/12/01 17:46:43, 2, pid=28422, effective(0, 107), real(0, 0)] 
smbd/close.c:close_normal_file(228)
  root closed file Programs/Directory/epp211_en.exe (numopen=2)
[2003/12/01 17:46:43, 2, pid=28422, effective(0, 107), real(0, 0)] 
smbd/open.c:open_file(250)
  razor opened file Programs/Directory/epp211_en.exe read=Yes write=No 
(numopen=3)
[2003/12/01 17:46:43, 0, pid=28422, effective(0, 107), real(0, 0)] 
libsmb/smb_signing.c:srv_check_incoming_message(752)
  srv_check_incoming_message: out of seq. seq num 764 matches.
[2003/12/01 17:46:43, 1, pid=28422, effective(0, 107), real(0, 0)] 
libsmb/smb_signing.c:signing_good(227)
  signing_good: SMB signature check failed on seq 766!
[2003/12/01 17:46:43, 0, pid=28422, effective(0, 107), real(0, 0)] 
lib/util_sock.c:receive_smb(557)
  receive_smb: SMB Signature verification failed on incoming packet!
[2003/12/01 17:46:43, 2, pid=28422, effective(0, 0), real(0, 0)] 
smbd/server.c:exit_server(558)
  Closing connections
[2003/12/01 17:46:43, 1, pid=28422, effective(0, 0), real(0, 0)] 
smbd/service.c:close_cnum(880)
  amber (192.168.0.22) closed connection to service install
[2003/12/01 17:46:43, 2, pid=28422, effective(0, 0), real(0, 0)] 
smbd/close.c:close_normal_file(228)
  root closed file Programs/Directory/epp211_en.exe (numopen=2)
[2003/12/01 17:46:43, 2, pid=28422, effective(0, 0), real(0, 0)] 
smbd/close.c:close_normal_file(228)
  root closed file Programs/Directory/epp211_en.exe (numopen=1)
[2003/12/01 17:46:43, 2, pid=28423, effective(0, 0), real(0, 0)] 
smbd/sesssetup.c:setup_new_vc_session(535)
  setup_new_vc_session: New VC == 0, if NT4.x compatible we would close all old 
resources.
[2003/12/01 17:46:43, 2, pid=28423, effective(0, 0), real(0, 0)] 
smbd/sesssetup.c:setup_new_vc_session(535)
  setup_new_vc_session: New VC == 0, if NT4.x compatible we would close all old 
resources.
[2003/12/01 17:46:43, 2, pid=28423, effective(0, 0), real(0, 0)] 
auth/auth.c:check_ntlm_password(302)
  check_ntlm_password:  authentication for user [razor] -> [razor] -> [razor] 
succeeded
[2003/12/01 17:46:43, 2, pid=28423, effective(0, 0), real(0, 0)] 
lib/access.c:check_access(324)
  Allowed connection from  (192.168.0.22)
[2003/12/01 17:46:43, 1, pid=28423, effective(0, 107), real(0, 0)] 
smbd/service.c:make_connection_snum(698)
  amber (192.168.0.22) signed connect to service install initially as user root 
(uid=0, gid=107) (pid 28423)
[2003/12/01 17:46:43, 2, pid=28423, effective(0, 107), real(0, 0)] 
smbd/open.c:open_file(250)
  razor opened file Programs/Directory/epp211_en.exe read=Yes write=No 
(numopen=1)
[2003/12/01 17:46:43, 2, pid=28423, effective(0, 107), real(0, 0)] 
smbd/close.c:close_normal_file(228)
  root closed file Programs/Directory/epp211_en.exe (numopen=1)

Sometimes these actions will cause samba to panic and sometimes they won't. Any 
help is much appreciated!

Robin
Comment 4 Gerald (Jerry) Carter 2003-12-01 10:21:44 UTC
This is not the same bug as the original reporter.
But since you bring it up, can it still be reproduced
against 3.0.1pre3 ?  Thanks.
Comment 5 Gerald (Jerry) Carter 2003-12-09 20:16:16 UTC
I've placed some paranoia code to prevent alloc_sub_basic() 
from crashing.  However, I think this is a duplicate of bug 809
and will continue further work on it there.

*** This bug has been marked as a duplicate of 809 ***
Comment 6 Gerald (Jerry) Carter 2003-12-09 20:18:16 UTC
This was actually a duplicate of bug 687
Comment 7 Gerald (Jerry) Carter 2005-02-07 09:04:47 UTC
originally reported against one of the 3.0.0rc[1-4] releases.
Cleaning up non-production versions.
Comment 8 Gerald (Jerry) Carter 2005-11-14 09:24:05 UTC
database cleanup